summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Hutterer <peter.hutterer@who-t.net>2014-05-27 10:52:54 +1000
committerPeter Hutterer <peter.hutterer@who-t.net>2014-06-02 16:02:58 +1000
commitc6510d59306f11e5b6b853928eeb9474dd18b7d4 (patch)
treee8965b3d4b1ac7e4d1129df2a56faa8014633d01
parentdddcd4195fc237b8704dae5709b82c9af1ffc855 (diff)
release.sh: move fetching the section up so we can do stuff with it
This enables us to query the section earlier in the process, specifically before assigning the tag name which comes in the next commit. Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
-rwxr-xr-xrelease.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/release.sh b/release.sh
index e6a01ce..6deba0a 100755
--- a/release.sh
+++ b/release.sh
@@ -328,6 +328,13 @@ process_module() {
remote_branch=`git config --get branch.$current_branch.merge | cut -d'/' -f3,4`
echo "Info: working off the \"$current_branch\" branch tracking the remote \"$remote_name/$remote_branch\"."
+ # Obtain the section
+ get_section
+ if [ $? -ne 0 ]; then
+ cd $top_src
+ return 1
+ fi
+
# Run 'make dist/distcheck' to ensure the tarball matches the git module content
# Important to run make dist/distcheck before looking in Makefile, may need to reconfigure
echo "Info: running \"make $MAKE_DIST_CMD\" to create tarballs:"
@@ -445,13 +452,6 @@ process_module() {
list_xcb="xcb@lists.freedesktop.org"
list_nouveau="nouveau@lists.freedesktop.org"
- # Obtain the section
- get_section
- if [ $? -ne 0 ]; then
- cd $top_src
- return 1
- fi
-
# nouveau is very special.. sigh
if [ x"$section" = xnouveau ]; then
section=driver